const webpack = require('webpack')
const ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports ={
    entry: './widget/private/js/ht-wrp-private.js',
    output: {
        path: __dirname + '/widget/public/js',
        filename: "ht-wrp-public.js"
    },
    module: {
      loaders: [
        { 
          test: /\.js$/,
          loader: 'babel-loader',
          exclude: /node_modules/
        },
        {
          test: /\.scss$/,
          use: ExtractTextPlugin.extract({
            fallback: 'style-loader',
            use: [
              { loader: 'css-loader', options: { minimize: true } },
              'sass-loader'
            ]
          })
        }
      ]
  },
  plugins: [
    new ExtractTextPlugin('../css/ht-wrp-public.css')
  ]
};
